# - Try to find python
# Once done this will define
#
#  python_FOUND                  - system has python
#  python_LIBRARY                - Link these to use python
#  python_RUNTIME_LIBRARY        - install this to run python
#  python_RUNTIME_LIBRARY_RENAME - rename the installed runtime library to this

INCLUDE( LibFindMacros)

# this package
SET( python_PACKAGE_NAME python)
SET( python_PACKAGE_VERSION ${python_FIND_VERSION})

# library
FIND_LIBRARY( ${python_PACKAGE_NAME}_RUNTIME_LIBRARY NAMES python2.7 NO_CMAKE_SYSTEM_PATH)

# runtime library
IF( MINGW)
ELSEIF( APPLE OR UNIX)
  INCLUDE( MacroGetSoName)
  MACRO_GET_SO_NAME( ${${python_PACKAGE_NAME}_RUNTIME_LIBRARY})
  SET( ${python_PACKAGE_NAME}_RUNTIME_LIBRARY_RENAME ${SO_FILE_NAME} CACHE INTERNAL "so name of runtime library for ${python_PACKAGE_NAME}")
  UNSET( SO_FILE_NAME)
ENDIF()

# library was found
IF( ${python_PACKAGE_NAME}_RUNTIME_LIBRARY)
  SET( ${python_PACKAGE_NAME}_FOUND TRUE)
ENDIF()
