# - Try to find xdrportable
# Once done this will define
#
#  xdrportable_FOUND        - system has xdrportable
#  xdrportable_LIBRARIES    - Link these to use xdrportable

INCLUDE( LibFindMacros)

# this package
SET( xdrportable_PACKAGE_NAME xdrportable)
SET( xdrportable_PACKAGE_VERSION ${xdrportable_FIND_VERSION})

# library
FIND_LIBRARY( ${xdrportable_PACKAGE_NAME}_LIBRARY NAMES portablexdr-0 NO_CMAKE_SYSTEM_PATH)

# runtime library
IF( MINGW)
  SET( ${xdrportable_PACKAGE_NAME}_RUNTIME_LIBRARY ${${xdrportable_PACKAGE_NAME}_LIBRARY} CACHE INTERNAL "runtime library for ${xdrportable_PACKAGE_NAME}")
ELSEIF( APPLE OR UNIX)
ENDIF()

IF( ${xdrportable_PACKAGE_NAME}_RUNTIME_LIBRARY)
  SET( ${xdrportable_PACKAGE_NAME}_FOUND TRUE)
ENDIF()
