INCLUDE(CMakeForceCompiler)
# this one is important
SET( CMAKE_SYSTEM_NAME Darwin)
SET( CMAKE_SYSTEM_VERSION 10.9)
SET( CMAKE_SYSTEM_PROCESSOR i386)
# this one not so much
#SET( DARWIN_MAJOR_VERSION 10)
#SET( DARWIN_MINOR_VERSION 9)
SET( TARGET_PLATFORM ${CMAKE_SYSTEM_PROCESSOR}-apple-darwin13)

# specify the cross compiler
INCLUDE( MacroWrapCompiler)
MACRO_WRAP_COMPILER( CMAKE_C_COMPILER ${TARGET_PLATFORM}-gcc)
MACRO_WRAP_COMPILER( CMAKE_CXX_COMPILER ${TARGET_PLATFORM}-g++)

# otool
FIND_PROGRAM( OTOOL_CMD ${TARGET_PLATFORM}-otool PATHS ENV PATH NO_DEFAULT_PATH)
SET( OTOOL_CMD ${OTOOL_CMD} CACHE FILEPATH "otool for analyzing binaries")
