# - Try to find lpsolve
# Once done this will define
#
#  lpsolve_FOUND        - system has lpsolve
#  lpsolve_LIBRARIES    - Link these to use lpsolve

INCLUDE( LibFindMacros)

# this package
SET( lpsolve_PACKAGE_NAME lpsolve)
SET( lpsolve_PACKAGE_VERSION ${lpsolve_FIND_VERSION})

# library
FIND_LIBRARY( ${lpsolve_PACKAGE_NAME}_RUNTIME_LIBRARY NAMES lpsolve55 NO_CMAKE_SYSTEM_PATH)

# runtime library
IF( ${lpsolve_PACKAGE_NAME}_RUNTIME_LIBRARY)
  SET( ${lpsolve_PACKAGE_NAME}_FOUND TRUE)
  IF( MINGW)
  ELSEIF( APPLE OR UNIX)
    INCLUDE( MacroGetSoName)
    MACRO_GET_SO_NAME( ${${lpsolve_PACKAGE_NAME}_RUNTIME_LIBRARY})
    SET( ${lpsolve_PACKAGE_NAME}_RUNTIME_LIBRARY_RENAME ${SO_FILE_NAME} CACHE INTERNAL "so name of runtime library for ${lpsolve_PACKAGE_NAME}")
    UNSET( SO_FILE_NAME)
  ENDIF()
ENDIF()
