# this one is important
SET( CMAKE_SYSTEM_NAME Linux)
SET( CMAKE_SYSTEM_PROCESSOR x86_64)
# this one not so much
SET( CMAKE_SYSTEM_VERSION 1)

# specify the compiler
INCLUDE( MacroWrapCompiler)

IF( ${USE_CLANG})
  MACRO_WRAP_COMPILER( CMAKE_C_COMPILER "clang")
  MACRO_WRAP_COMPILER( CMAKE_CXX_COMPILER "clang++")
ELSE()
  MACRO_WRAP_COMPILER( CMAKE_C_COMPILER "gcc")
  MACRO_WRAP_COMPILER( CMAKE_CXX_COMPILER "c++")
  MACRO_WRAP_COMPILER( CMAKE_CXX_COMPILER "g++")
ENDIF()

# objdump
FIND_PROGRAM( OBJDUMP_CMD objdump PATHS ENV PATH NO_DEFAULT_PATH)
SET( OBJDUMP_CMD ${OBJDUMP_CMD} CACHE FILEPATH "objdump for analyzing binaries")
